<?
$slike_direktorij='slike/upload/vijesti/';
$broj_vijesti=5;

if ($foo=='') {
   $foo=0;
   $sql="SELECT id,naslov,dan,vijest_kratka,datum_sql,direktorij,slime_thumb,sirina_thumb,visina_thumb FROM b2_news ORDER BY datum_sql DESC, id desc  LIMIT 0,$broj_vijesti";
} else {
   $sql="SELECT id,naslov,dan,vijest_kratka,datum_sql,direktorij,slime_thumb,sirina_thumb,visina_thumb FROM b2_news ORDER BY datum_sql DESC, id desc LIMIT $foo,$broj_vijesti";
}

$rez=mysql_query($sql,$conn);
$num=mysql_num_rows($rez);
$cur=1;


while ($num>=$cur) {
   $row=mysql_fetch_array($rez);
	$rez_id=$row["id"];
	$naslov=$row["naslov"];
	$vijest_kratka=$row["vijest_kratka"];
	$dan=$row["dan"];
	$rez_datum=$row["datum_sql"];
	$direktorij=$row["direktorij"];
	$slime_thumb=$row["slime_thumb"];
	$sirina_thumb=$row["sirina_thumb"];
	$visina_thumb=$row["visina_thumb"];

   //kreacija datuma
   $datum=explode ("-", $rez_datum);
   $new_datum=$dan.', '.$datum[2].'.'.$datum[1].'.'.$datum[0].'.';
	

   print ('<span class="naslov">'.$naslov.'</span><br><span class="datum">'.$new_datum.'</span><br><br>');
   if ($slime_thumb=='') {
   	print ('<table cellspacing=0 cellpadding=5 border=0 width="100%"><tr><td valign="top" class="vijesti">'.$vijest_kratka.'<br><a href="vijesti_list.php?id='.$rez_id.'" onclick="NewWindow(this.href,\'name\',\'660\',\'400\',\'yes\');return false" class="vk">Pročitajte cijelu vijest</a><br></td></tr></table>');
   } else {
   	$putanja=$slike_direktorij.$direktorij.'/'.$slime_thumb;
   	print (
   	'<table cellspacing=0 cellpadding=5 border=0 width="100%"><tr><td valign="top" class="vijesti">'
   	.$vijest_kratka.
   	'<br>
   	<a href="vijesti_list.php?id='.$rez_id.'" onclick="NewWindow(this.href,\'name\',\'660\',\'400\',\'yes\');return false" class="vk">Pročitajte cijelu vijest</a><br></td><td valign="top"><center>
   	<img src="'.$putanja.'" width="'.$sirina_thumb.'" height="'.$visina_thumb.'" alt="" border="1"></center></td></tr></table>'	
   	);
   }
	print ('<br />');
	$cur++;
}

//odredi broj unešenih vijesti
/*
$sql="SELECT id FROM b2_news";	
$rez=mysql_query($sql,$conn);
$num=mysql_num_rows($rez);
$brojac=0;
if ($num>$broj_vijesti) {
   echo '<table cellspacing=0 cellpadding=5 border=0 width="100%"><tr>';
   $foo_next=$foo+$broj_vijesti;
   $foo_prev=$foo-$broj_vijesti;
   if ($foo_prev>=0) {
      echo '<td valign="top" class="vijesti"><center><a href="index.php?foo='.$foo_prev.'"><img src="slike/site/prev_arrow.gif" border="0" alt="" width="48" height="26" align="top">&nbsp;&nbsp;Prethodna stranica</a></center></td>';
   }
   if ($foo_next<$num) {
      echo '<td class="vijesti"><center><a href="index.php?foo='.$foo_next.'">Slijedeća stranica&nbsp;&nbsp;<img src="slike/site/next_arrow.gif" border="0" alt="" width="48" height="26" align="top"></a></center></td>';
   }
   echo '</tr></table>';
}
*/
?>
